# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KIconCanvas Class Reference

Icon canvas for KIconDialog. More...

`#include <kicondialog.h>`

Inheritance diagram for KIconCanvas:

[legend]
Collaboration diagram for KIconCanvas:

[legend]
List of all members.

## Public Slots

void | stopLoading ()

## Signals

void | nameChanged (QString)
| Emitted when the current icon has changed.
void | startLoading (int)
void | progress (int)
void | finished ()

## Public Member Functions

| KIconCanvas (QWidget *parent=0L, const char *name=0L)
void | loadFiles (const QStringList &files)
| Load icons into the canvas.
QString | getCurrent () const
| Returns the current icon.

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

Icon canvas for KIconDialog.

Definition at line 39 of file kicondialog.h.

## Member Function Documentation

void KIconCanvas::loadFiles | ( | const QStringList & | files | ) |

| Load icons into the canvas. Definition at line 99 of file kicondialog.cpp. References QIconView::clear(), and QTimer::start().

QString KIconCanvas::getCurrent | ( |  | ) | const

| Returns the current icon. Definition at line 164 of file kicondialog.cpp. References QIconView::currentItem(). Referenced by KIconDialog::openDialog().

void KIconCanvas::nameChanged | ( | QString |  | ) | `[signal]`

| Emitted when the current icon has changed.

The documentation for this class was generated from the following files:

- kicondialog.h
- kicondialog.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:18:38 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001